lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+12) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+12
    fix: harden panel dbus registration

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 22 May 2026 10:25:16 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+11) noble-porting; urgency=medium

  * UNRELEASED

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 21 May 2026 16:01:43 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+10) noble-porting; urgency=medium

  * UNRELEASED

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 21 May 2026 15:00:13 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+10) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+10
    cherry-pick from bianbu-26.04

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 21 May 2026 11:21:43 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+9) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+9.
    Modify volume settings entry.

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 13 Jan 2026 17:41:22 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+8) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+8.
    Modify date settings entry address.

 -- 邵明皓 <minghao.shao@spacemit.com>  Tue, 13 Jan 2026 16:04:52 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+7) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+7
    feat: update dependencies and change configuration command to bianbu-control-center-shell
    feat: enable native tooltip support for settings and power buttons

 -- 邵明皓 <minghao.shao@spacemit.com>  Tue, 13 Jan 2026 14:20:53 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+6) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+6
    feat: Auto-exit on screen changes to allow external restart

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 11 Dec 2025 20:51:54 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+5) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+5
    feat: add input method support for Qt5 applications and auto-restart lxqt-panel

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 10 Dec 2025 20:37:50 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+4) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+4.
    Revert temporarily revert Remove lxqt-notificationd to context menu display title...

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 05 Dec 2025 14:03:43 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+3) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+3.
    Temporarily revert-Remove lxqt-notificationd to context menu display title checks in mouseReleaseEvent

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 04 Dec 2025 16:36:16 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+2) noble-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+2
    update .bianbu-ci.yml and debian/control

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 04 Dec 2025 01:12:09 +0800

lxqt-panel (2.1.4-0ubuntu3bb148~bpo2+1) noble-porting; urgency=medium

  * Export patches for bianbu-24.04/2.1.4-0ubuntu3bb148_bpo2+1
    bianbu: set targetsuite to noble-porting and backports to True

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 04 Dec 2025 01:08:27 +0800

lxqt-panel (2.1.4-0ubuntu3bb148) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb148.
    Remove tooltip initialization and refresh method from LXQtBacklight class

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 21 Nov 2025 11:48:10 +0800

lxqt-panel (2.1.4-0ubuntu3bb147) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb147.
    Remove tooltip refresh timer from LXQtBacklight class

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 19 Nov 2025 16:23:38 +0800

lxqt-panel (2.1.4-0ubuntu3bb146) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb146.
    Optimize tooltip display.

 -- 邵明皓 <minghao.shao@spacemit.com>  Mon, 17 Nov 2025 14:43:44 +0800

lxqt-panel (2.1.4-0ubuntu3bb145) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb145.
    Optimize tooltip display.

 -- 邵明皓 <minghao.shao@spacemit.com>  Mon, 17 Nov 2025 11:46:20 +0800

lxqt-panel (2.1.4-0ubuntu3bb144) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb144.
    Modify the worldclockContent layout.
     Remove the old version's middle mouse button pop-up feature.
     Merge branch 'bianbu-25.04-dev-zhongyuqiang' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 15:44:47 +0800

lxqt-panel (2.1.4-0ubuntu3bb143) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb143.
    Add nm-tray and lxqt-powermanagement to context menu display title checks in mouseReleaseEvent

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 12 Nov 2025 16:08:12 +0800

lxqt-panel (2.1.4-0ubuntu3bb142) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb142.
    Modify the overall layout of the date label displayed by the plugin-worldclock.
     Add logic to restrict the year selector to ensure it is not negative.
     Add defensive programming by setting mTopLeftTimeLabel to nullptr before full destruction to prevent errors when updating the text of mTopLeftTimeLabel later.
     Remove the real-time text update feature of mTopLeftTimeLabel.
     Merge branch 'bianbu-25.04-dev-zhongyuqiang' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 12 Nov 2025 11:34:11 +0800

lxqt-panel (2.1.4-0ubuntu3bb141) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb141.
    Fix the crash caused by null pointer.
     Merge branch 'bianbu-25.04-dev-zhongyuqiang' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Fri, 07 Nov 2025 16:34:56 +0800

lxqt-panel (2.1.4-0ubuntu3bb140) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb140
    adjust bottom margin in tooltip size calculation to prevent display issues

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 07 Nov 2025 10:00:16 +0800

lxqt-panel (2.1.4-0ubuntu3bb139) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb139.
    Fix the lxqt-worldclock issue causing the panel to crash
     Merge branch 'bianbu-25.04-dev-zhongyuqiang' into 'bianbu-25.04'
     fix: improve tooltip size handling and maximum width constraints
     fix: synchronize tooltips for slider and panel button to avoid conflicts

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 06 Nov 2025 17:36:22 +0800

lxqt-panel (2.1.4-0ubuntu3bb138) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb138
    style: enhance padding and hover effects for Status Notifier buttons

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 06 Nov 2025 09:32:21 +0800

lxqt-panel (2.1.4-0ubuntu3bb137) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb137
    change tooltip margins and paint colors

 -- 邵明皓 <minghao.shao@spacemit.com>  Tue, 04 Nov 2025 10:56:16 +0800

lxqt-panel (2.1.4-0ubuntu3bb136) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb136
    custom tooltip for lxqt-panel

 -- 邵明皓 <minghao.shao@spacemit.com>  Mon, 03 Nov 2025 16:46:15 +0800

lxqt-panel (2.1.4-0ubuntu3bb135) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb135.
    FancyMenu: stop auto-select on search and avoid scroll on hover selection

 -- 邵明皓 <minghao.shao@spacemit.com>  Sat, 01 Nov 2025 17:08:08 +0800

lxqt-panel (2.1.4-0ubuntu3bb134) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb134.
    Add support for lxqt-powermanagement in StatusNotifierButton context menu

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 31 Oct 2025 09:15:08 +0800

lxqt-panel (2.1.4-0ubuntu3bb133) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb133.
    Add entry point click logic for worldclock settings.
     Apply the QSS style of the backlight-plugin using the Object object selector method. Fix the lag issue when dragging the volume in VolumePopup.
     Modify the Qss style of the showdesktopButton.
     Merge branch 'bianbu-25.04-dev-zhongyuqiang' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 29 Oct 2025 17:43:56 +0800

lxqt-panel (2.1.4-0ubuntu3bb132) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb132
    fix: can't add app to quicklauch by right click

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 29 Oct 2025 13:55:56 +0800

lxqt-panel (2.1.4-0ubuntu3bb131) plucky-star; urgency=medium

  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb131.
    Change power dialog command from 'lxqt-leave' to 'bianbu-leave'

 -- shaominghao <minghao.shao@spacemit.com>  Tue, 28 Oct 2025 20:24:30 +0800

lxqt-panel (2.1.4-0ubuntu3bb130) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb130
    feat:customed calendarPlugin

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 22 Oct 2025 11:45:27 +0800

lxqt-panel (2.1.4-0ubuntu3bb129) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb129.
    Correct the display position of the system tray context menu

 -- 邵明皓 <minghao.shao@spacemit.com>  Sat, 11 Oct 2025 16:49:24 +0800

lxqt-panel (2.1.4-0ubuntu3bb128) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb128
    update ui of volume plugin

 -- 邵明皓 <minghao.shao@spacemit.com>  Sat, 11 Oct 2025 10:39:55 +0800

lxqt-panel (2.1.4-0ubuntu3bb127) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb127.
    Modify the volumepop style and provide the simplest version.

 -- shaominghao <minghao.shao@spacemit.com>  Wed, 08 Oct 2025 17:31:02 +0800

lxqt-panel (2.1.4-0ubuntu3bb126) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb126
    custom volume-plugin, bluetooth and network

 -- 邵明皓 <minghao.shao@spacemit.com>  Tue, 30 Sep 2025 18:16:07 +0800

lxqt-panel (2.1.4-0ubuntu3bb125) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb125
    calculate the position Rect of the popup menu for a specific control

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 25 Sep 2025 17:54:00 +0800

lxqt-panel (2.1.4-0ubuntu3bb124) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb124.
    Modify the position of the slider groove and the background color of the groove that has not been slid over.

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 17 Sep 2025 14:09:01 +0800

lxqt-panel (2.1.4-0ubuntu3bb123) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb123.
    Modify the calculatePopupWindowPos function so that the popup window is displayed directly above the icon control and is center aligned.
    Modify the slider style

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 16 Sep 2025 13:48:30 +0800

lxqt-panel (2.1.4-0ubuntu3bb122) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb122.
    Fix the issue of incorrect value display on the mobile slider.

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 11 Sep 2025 17:57:10 +0800

lxqt-panel (2.1.4-0ubuntu3bb121) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb121
    feat(backlight): Redesign UI, add rounded corners to the window and horizontal slider.
    feat(backlight): Add the functionality to change brightness values by dragging a slider.

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 10 Sep 2025 14:11:04 +0800

lxqt-panel (2.1.4-0ubuntu3bb120) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb120
    feat(fancymenu): implement dynamic scaling for UI elements based on screen resolution

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 04 Sep 2025 16:10:31 +0800

lxqt-panel (2.1.4-0ubuntu3bb119) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb119
    fix(taskbar): Improve popup window closing logic and mouse event handling

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 26 Aug 2025 20:21:40 +0800

lxqt-panel (2.1.4-0ubuntu3bb118) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb118
    feat:provide an API to control the status bar icon size

 -- 邵明皓 <minghao.shao@spacemit.com>  Mon, 25 Aug 2025 14:07:21 +0800

lxqt-panel (2.1.4-0ubuntu3bb117) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb117
    feat: add tray icon size configuration and related functionality

 -- 邵明皓 <minghao.shao@spacemit.com>  Fri, 22 Aug 2025 18:11:27 +0800

lxqt-panel (2.1.4-0ubuntu3bb116) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb116
    update action labels to English and add corresponding translations in Chinese

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 21 Aug 2025 18:01:54 +0800

lxqt-panel (2.1.4-0ubuntu3bb115) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb115
    add functionality to add desktop files to QuickLaunch and update FancyMenu actions

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 21 Aug 2025 17:58:25 +0800

lxqt-panel (2.1.4-0ubuntu3bb114) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb114
    fix some bugs in app menu

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 20 Aug 2025 19:13:22 +0800

lxqt-panel (2.1.4-0ubuntu3bb113) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb113
    change show desktop icon theme to bianbu-showdesktop

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 19 Aug 2025 17:01:18 +0800

lxqt-panel (2.1.4-0ubuntu3bb112) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb112
    only use close menu

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Mon, 18 Aug 2025 19:53:38 +0800

lxqt-panel (2.1.4-0ubuntu3bb111) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb111
    add network for chinese env and disable blueman open device app

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Mon, 18 Aug 2025 14:44:46 +0800

lxqt-panel (2.1.4-0ubuntu3bb110) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb110
    change the click event of network,bt and notification

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Fri, 15 Aug 2025 16:05:26 +0800

lxqt-panel (2.1.4-0ubuntu3bb109) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb109
    change status notifier popup pos

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 14 Aug 2025 14:05:16 +0800

lxqt-panel (2.1.4-0ubuntu3bb107) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb107
    feat: add built-in resource icons for settings and leave buttons, include debug resource check

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 13 Aug 2025 16:37:09 +0800

lxqt-panel (2.1.4-0ubuntu3bb106) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb106.
    定制应用启动菜单

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 13 Aug 2025 14:17:10 +0800

lxqt-panel (2.1.4-0ubuntu3bb105) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb105
    change the position of menu and popup

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 13 Aug 2025 10:20:38 +0800

lxqt-panel (2.1.4-0ubuntu3bb104) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb104
    add dbus server to call toggle desktop

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Mon, 11 Aug 2025 16:02:26 +0800

lxqt-panel (2.1.4-0ubuntu3bb103) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb103
    remove vscode file
    add show desktop margin 16px

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 07 Aug 2025 09:10:50 +0800

lxqt-panel (2.1.4-0ubuntu3bb102) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb102
    set show desktop button size and margin

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 05 Aug 2025 17:39:45 +0800

lxqt-panel (2.1.4-0ubuntu3bb101) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb101
    panel: remove the right-click configuration function
    Merge branch 'cherry-pick-5a7116b8' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Sat, 02 Aug 2025 15:09:57 +0800

lxqt-panel (2.1.4-0ubuntu3bb100) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb100.
    更新.bianbu-ci.yml文件
    change suite to plucky-star

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Fri, 01 Aug 2025 17:40:13 +0800

lxqt-panel (2.1.4-0ubuntu3bb5) plucky-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb5.
    Fix(fancymenu): Combine results without duplicates when getMatchingApps.

 -- liangbaihui <baihui.liang@spacemit.com>  Mon, 21 Jul 2025 19:09:33 +0800

lxqt-panel (2.1.4-0ubuntu3bb4) plucky-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb4.
    Fix(plugin-volume): add QTimer throttling to VolumePopup for smoother slider adjustments under Wayland

 -- liangbaihui <baihui.liang@spacemit.com>  Tue, 01 Jul 2025 16:35:37 +0800

lxqt-panel (2.1.4-0ubuntu3bb3) plucky-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb3.
    Fix: construction error when building in arch-all

 -- liangbaihui <baihui.liang@spacemit.com>  Mon, 09 Jun 2025 09:15:38 +0800

lxqt-panel (2.1.4-0ubuntu3bb2) plucky-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb2.
    Revert <Disable lxqt-about icon>

 -- liangbaihui <baihui.liang@spacemit.com>  Thu, 05 Jun 2025 11:10:08 +0800

lxqt-panel (2.1.4-0ubuntu3bb1) plucky-porting; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/2.1.4-0ubuntu3bb1
    import patches from 24.04

 -- liangbaihui <baihui.liang@spacemit.com>  Wed, 28 May 2025 19:02:42 +0800

lxqt-panel (2.1.4-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 16:33:31 -0600

lxqt-panel (2.1.4-0ubuntu2) plucky; urgency=medium

  * Remove runtime dependency on lxmenu-data.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 14:57:47 -0600

lxqt-panel (2.1.4-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jan 2025 16:48:49 -0600

lxqt-panel (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:32:51 -0600

lxqt-panel (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Dropped trim-custom-commands-prevent-crash.patch, applied upstream.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:25:54 -0500

lxqt-panel (1.4.0-0ubuntu2) noble; urgency=medium

  * Apply upstream patch fixing a crash on a custom command.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Dec 2023 16:40:34 -0600

lxqt-panel (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fixed copyright file.
  * Bumped build dependency versions.
  * Added lxqt-menu-data as a build dependency.
  * Removed no-longer-existing directory from lxqt-panel.install.
  * Move a README file for qeyes-types to the proper documentation directory.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Mon, 13 Nov 2023 11:34:09 -0600

lxqt-panel (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Fix some build dependencies that were renamed.
  * Remove redundant hardening rule.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 12:49:49 -0500

lxqt-panel (1.2.1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Lubuntuify the package slightly.
    - Run wrap-and-sort for cleanliness.
    - Update the copyright file.
    - Take a different approach for the watch file.
    - Add missing entry from the install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Jan 2023 16:43:29 -0600

lxqt-panel (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:10:18 +0800

lxqt-panel (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
    * Add Rules-Requires-Root: no
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules
    * Remove unnecessary --fail-missing in d/rules
  * Fix d/upstream/metadata.
  * Update d/copyright.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 01:24:07 +0800

lxqt-panel (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 16:14:37 +0800

lxqt-panel (1.1.0-1) experimental; urgency=medium

  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys1-dev (>= 1.1.0~).
  * Build-deps on liblxqt-globalkeys-ui1-dev (>= 1.1.0~).
  * Build-deps on libsysstat-qt5-0-dev (>= 0.4.6~).
  * Drop obsoleted Breaks and Replaces lines.
  * debian/copyright: update years.
  * Build-deps on libxcb-randr0-dev.
  * Build-deps on libxcb-image0-dev.
  * Build-deps on libxtst-dev.
  * Build-deps on libxcb-composite0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 16 Jul 2022 00:26:18 +0800

lxqt-panel (0.16.1-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed
  * improved debian/rules

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #916105, #953154, #978204)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 18:30:22 +0800

lxqt-panel (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 03:28:17 +0100

lxqt-panel (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.0~)
    - liblxqt-globalkeys0-dev (>= 0.14.0~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.0~)
    - libsysstat-qt5-0-dev (>= 0.4.2~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 23:13:10 +0100

lxqt-panel (0.13.0-2) unstable; urgency=medium

  * Build dependency libsensors4-dev -> libsensors-dev (Closes: #917440)
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 29 Dec 2018 13:03:56 +0100

lxqt-panel (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
    - libsysstat-qt5-0-dev to >= 0.4.1~
  * Removed build dependency libglib2.0-dev, thrown in via lxqt-build-tools
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:08:49 +0200

lxqt-panel (0.12.0-10) unstable; urgency=medium

  * Changed Source and watch for lxqt

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:17:35 +0200

lxqt-panel (0.12.0-9) unstable; urgency=medium

  * Ported back USE_MENU_CACHE handling
  * Removed build dependency on libmenu-cache-dev (Closes: #896512)
  * Ported back USE_MENU_CACHE handling
  * Moved lxqt-about from dependencies to recommends (Closes: #894640)
  * Bumped debhelper version to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Removed trailing whitespaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 19:47:29 +0200

lxqt-panel (0.12.0-8) unstable; urgency=medium

  * Fix plugin-volume, use pavucontrol-qt (Closes: #884547)

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Dec 2017 18:36:45 +0100

lxqt-panel (0.12.0-7) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 21:28:35 +0100

lxqt-panel (0.12.0-6) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 20:04:19 +0100

lxqt-panel (0.12.0-5) experimental; urgency=medium

  * Ported back the config move to /usr/share/xdg (Closes: #883034)

 -- Alf Gaida <agaida@siduction.org>  Sat, 02 Dec 2017 03:23:04 +0100

lxqt-panel (0.12.0-4) experimental; urgency=medium

  * Ported back some cosmetics (volume % and clock size)
    (Closes: #880150)

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 01:49:39 +0100

lxqt-panel (0.12.0-3) experimental; urgency=medium

  * Fixed host OS query in rules - we really want to know the system
    instead of set it

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Oct 2017 21:27:27 +0100

lxqt-panel (0.12.0-2) experimental; urgency=medium

  * Added missed breaks and replaces for lxqt-common << 0.12.0
    (Closes: #879910) - Thanks Andreas Beckmann <anbe@debian.org>
  * Time off fixed upstream (Closes: #855379)

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 23:27:44 +0200

lxqt-panel (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped liblxqt0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys0-dev to >= 0.12.0
  * Bumped liblxqt-globalkeys-ui0-dev to >= 0.12.0
  * Bumped libsysstat-qt5-0-dev to >= 0.4.0
  * Bumped Standards to 4.1.1 - no changes needed
  * Removed patches - patch was taken from upstream

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 22:32:05 +0200

lxqt-panel (0.11.1-4) unstable; urgency=medium

  * Removed some not needed versions from build dependencies
  * Bumped Standards to 4.1.0 - no changes needed
  * Ported back fix for explicit keyword (Closes: #873599)
    Thanks Adrian Bunk for spotting this.

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Sep 2017 01:29:45 +0200

lxqt-panel (0.11.1-3) unstable; urgency=medium

  * Recommends lxqt-notificationd (Closes: #866886)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 18:26:25 +0200

lxqt-panel (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added to Dependencies: lxqt-about, lxqt-policykit
  * Added Recommends: lxqt-config, lxqt-panel-l10n, lxqt-qtplugin, lxqt-runner,
    lxqt-session, pavucontrol-qt | pavucontrol, qlipper
    (Closes: #866255)
  * Suggests: lxqt | lxqt-core

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 13:25:03 +0200

lxqt-panel (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0 (Closes: #821382).
  * Removed some build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped some build dependencies:
    - liblxqt0-dev (>= 0.11.1)
    - liblxqt-globalkeys0-dev (>= 0.11.1)
    - liblxqt-globalkeys-ui0-dev (>= 0.11.1)
    - libsysstat-qt5-0-dev (>= 0.3.3)
  * Fixed VCS-Git, pointing to the right branch
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 18:12:54 +0100

lxqt-panel (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version liblxqt0-dev (>= 0.11.0)
  * Bumped minimum version liblxqt-globalkeys0-dev (>= 0.11.0),
  * Bumped minimum version liblxqt-globalkeys-ui0-dev (>= 0.11.0),
  * Bumped minimum version libsysstat-qt5-0-dev (>= 0.3.2)
  * Added build-dependency libqt5svg5-dev
  * Added build-dependency libqtxdg-dev (>= 2.0.0)
  * Added build-dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added Recommends lxqt-panel-l10n
  * Fixed VCS fields, point to the right branch
  * Fixed copyrights Format field to https
  * Bumped years in copyrights
  * Added translation control to rules
  * Added hardening options
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 22:10:42 +0200

lxqt-panel (0.10.0-8) unstable; urgency=medium

  [ Ralf Jung ]
  * Add gbp.conf

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge patch from Ralf Jung.
  * Bump Standards-Version to 3.9.7.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Mar 2016 18:27:53 +0800

lxqt-panel (0.10.0-7) unstable; urgency=medium

  * Fix typo in hurd plugin rules

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 18:57:15 +0100

lxqt-panel (0.10.0-6) unstable; urgency=medium

  * different handling of non-linux-os:
    - hurd: no cpuload-, networkmonitor-, volume- and sensors-plugin
    - kfreebsd: no cpuload-, networkmonitor- and volume-plugin

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 Dec 2015 17:07:30 +0100

lxqt-panel (0.10.0-5) unstable; urgency=medium

  * Build volume-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 13:24:08 +0100

lxqt-panel (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.
  * Build cpuoad- and networkmonitor-plugin only for linux.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 11:15:32 +0100

lxqt-panel (0.10.0-3) unstable; urgency=medium

  * Added dependency lxmenu-data (Closes: 807066)

 -- Alf Gaida <agaida@siduction.org>  Sun, 20 Dec 2015 23:44:22 +0100

lxqt-panel (0.10.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Nov 2015 12:35:47 +0800

lxqt-panel (0.10.0-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.10.0.
  * Adjust minimum versions for liblxqt and libqtxdg

 -- Alf Gaida <agaida@siduction.org>  Fri, 13 Nov 2015 22:47:09 +0100

lxqt-panel (0.9.0+20151101-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20151101.
  * Install manpage for lxqt-panel
  * Deleted debian/lintian-overrides
  * Cleaned up debian/.gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt and libqtxdg
  * Added upstream signing key and use it in watch file
  * drop transitional packages
  * drop breaks/replaces
  * append  -Wl,--as-needed to linker flags
  * copyright fixed, the panel uses only LGPL2.1+, file headers
    fixed upstream
  * Initial release (Closes: #747610)

  [ Shih-Yuan Lee (FourDollars) ]
  * Polish debian/control by 'cme fix dpkg-control'.

  [ Andrew Lee (李健秋) ]
  * Added myself as Uploader.
  * Sorting build-depends.
  * Removing whitespaces at EOL and EOF.

 -- Alf Gaida <agaida@siduction.org>  Sun, 25 Oct 2015 02:27:12 +0200
